package com.novomind.ecom.app.iagent.helloworld.chatinfo.plugin;

import java.util.Objects;

import javax.inject.Inject;

import com.novomind.ecom.api.iagent.frontend.chatinfo.ChatInfoViewContext;
import com.novomind.ecom.common.api.frontend.CustomBean;
import com.novomind.ecom.common.api.frontend.CustomManagedBean;

@CustomManagedBean("HelloWorldChatInfoTabBean")
public class HelloWorldChatInfoTabBean implements CustomBean {
  
  private final ChatInfoViewContext c;
  
  @Inject
  public HelloWorldChatInfoTabBean(ChatInfoViewContext c) {
    this.c = c;
  }
  
  public String getChatid() {
    if (Objects.nonNull(c) && Objects.nonNull(c.getChat())) {
      return Long.toString(c.getChat().getId());
    }
    return "";
  }
}